<div class="list">
    <div class="ui divided items">
        <div class='ui item' *ngFor='let trainer of trainers | async'>
            <div class="image">
                <img [src]='trainer.imgUrl' alt="Trainer image">
            </div>
              
            <div class='content'>
                <h4 class="ui dividing header" style="color:#d96846;">{{ trainer.name }} {{ trainer.surname }}</h4>
                <div class="text">
                 <p> Username: {{ trainer.username }}</p>
                </div>
                <div class="email text">
                  <p>{{trainer.email}}</p>
                </div>
                <div class="text">
                  <p>Location: {{trainer.municipality}}, {{ trainer.city }}</p>
                </div>
                <div class="date text">
                  <p>Date of birth: {{trainer.dateOfBirth}}</p>
                </div>
                <div class="categories">
                  <p class="text" style="margin-bottom: 10px;"> Categories:</p>
                  <span class="category" *ngFor="let category of trainer.category;let indeks = odd;" [ngStyle]="{background: getColorForCategory(indeks)}">
                    {{category}} </span>
                </div>
                <div>
                <button class="ui button" type="button" (click)="deleteTrainer(trainer.id)">Delete</button>
              </div>
            </div>    
        </div>
    </div>
</div> 
